import 'whatwg-fetch'
import 'custom-event-polyfill'
import 'core-js/stable/promise'
import 'core-js/stable/symbol'
import 'core-js/stable/string/starts-with'
import 'core-js/web/url'
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import httpServer from "./libs/axios"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ElementUI);
Vue.prototype.$get = httpServer.get;
Vue.prototype.$post = httpServer.post;
import { registerMicroApps, start } from 'qiankun'
Vue.config.productionTip = false


new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");

registerMicroApps([
  { 
    name: 'app-vue-hash', 
    entry: 'http://localhost:8081', 
    container: '#appContainer', 
    activeRule: '/main/app-vue-hash', 
    props: { data : { store, router } }
  },
  { 
    name: 'fjhxCloudVue', 
    entry: 'http://localhost:1888', 
    container: '#appContainer', 
    activeRule: '/main/fjhxCloudVue', 
    props: { data : { store, router } }
  },
  { 
    name: 'canvas',
    entry: 'http://localhost:8080', 
    container: '#appContainer', 
    activeRule: '/main/canvas',
    props: { data : store }
  },
]);

start();

import {actions} from '@/libs/micros'
actions.setGlobalState({asd:21312312})
